Bug 60558 - Microsoft Word 10 file with shapes in floating tables will not open correctly, same if resaved in MSO
Summary: Microsoft Word 10 file with shapes in floating tables will not open correctly...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: high normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:docx, notBibisectable
Depends on:
Blocks: DOCX
  Show dependency treegraph
 
Reported: 2013-02-09 20:17 UTC by Michelle
Modified: 2019-11-30 03:39 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
This is the original Microsoft Word 10 file (1000.49 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-02-09 20:17 UTC, Michelle
Details
Part of terminal output while opening attached document (35.52 KB, text/plain)
2013-02-09 20:29 UTC, Jorendc
Details
comparison screenshot (291.20 KB, image/png)
2013-12-12 10:56 UTC, retired
Details
screenshot (334.25 KB, application/pdf)
2018-11-29 08:44 UTC, Anderson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michelle 2013-02-09 20:17:45 UTC
Created attachment 74505 [details]
This is the original Microsoft Word 10 file

I have some business lable files that are created in Microsoft Office 10.  When I try to open them in LibreOffice 4.0 with a text document the formatting is ont correct.  The file is save as a .docx file.  The main problem is that I have one part of the lable upside down and it opens right side up in LibreOffice.  How can I fix this?  I want to switch programs, but if I can not turn part of the lable upside down I will not be able to use it.  I have added the original Word file and how it looks when I open it in LibreOffice.
Comment 1 Jorendc 2013-02-09 20:28:31 UTC
I can confirm the document doesn't open correct.
Tested using Linux Mint 14 x64 with LibreOffice Version 4.1.0.0.alpha0+ (Build ID: df931a5b0f48707e34ebfacb695996198ece8f4). Therefore I mark this as new.

I mark this bug as 'Normal High':
Normal: you can open it
High: absolutely not correctly

I'll upload some terminal output.

Kind regards,
Joren
Comment 2 Jorendc 2013-02-09 20:29:04 UTC
Created attachment 74509 [details]
Part of terminal output while opening attached document
Comment 3 Urmas 2013-02-10 01:37:27 UTC Comment hidden (obsolete)
Comment 4 retired 2013-12-12 10:56:45 UTC
Created attachment 90657 [details]
comparison screenshot
Comment 5 QA Administrators 2015-04-19 03:23:14 UTC Comment hidden (obsolete)
Comment 6 Buovjaga 2015-06-18 17:14:14 UTC
Confirmed the mess. Even worse than the screenshot.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 437210d58f32177ef1829d704f7f4d2f1bbfbfdd
TinderBox: Win-x86@39, Branch:master, Time: 2015-06-18_07:21:56
Locale: fi-FI (fi_FI)
Comment 7 Justin L 2016-12-05 15:28:30 UTC
confirmed that this looks absolutely terrible still in LO5.3beta1.  In fact, it has never looked even remotely correct ever (last testable by me is 3.6).  Marking as not bibisectable.
Comment 8 QA Administrators 2017-12-06 09:46:35 UTC Comment hidden (obsolete)
Comment 9 Timur 2018-11-05 16:36:11 UTC
Repro 6.2+
Comment 10 Shulammite 2018-11-29 08:36:53 UTC
Bug still exists in version.

  Version: 6.3.0.0.alpha0+ (x64)
  Build ID: 0f25a3c36f27fd51453b9a9115f236b83c143684
  CPU threads: 8; OS: Windows 10.0; UI render: GL; VCL: win; 
  TinderBox: Win-x86_64@42, Branch:master, Time: 2018-11-27_20:06:55
  Locale: zh-TW (zh_TW); UI-Language: en-US
  Calc: threaded
Comment 11 Anderson 2018-11-29 08:44:27 UTC
Created attachment 147121 [details]
screenshot

Still exists in version :
Version: 6.3.0.0.alpha0+ (x64)
Build ID: 0f25a3c36f27fd51453b9a9115f236b83c143684
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-11-27_20:06:55
Locale: zh-TW (zh_TW); UI-Language: en-US
Calc: threaded
Comment 12 QA Administrators 2019-11-30 03:39:04 UTC
Dear Michelle,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug